Bug 17434 - Moremember displaying primary and secondary phone number twice
Summary: Moremember displaying primary and secondary phone number twice
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-12 13:16 UTC by Barry Cannon
Modified: 2016-11-08 09:32 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17434: Moremember displaying primary and secondary phone number twice (1.75 KB, patch)
2016-10-18 20:53 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17434: Moremember displaying primary and secondary phone number twice (1.80 KB, patch)
2016-10-21 02:01 UTC, Lucio Moraes
Details | Diff | Splinter Review
Bug 17434: Moremember displaying primary and secondary phone number twice (1.80 KB, patch)
2016-10-21 02:01 UTC, Lucio Moraes
Details | Diff | Splinter Review
Bug 17434: Moremember displaying primary and secondary phone number twice (1.86 KB, patch)
2016-10-25 08:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barry Cannon 2016-10-12 13:16:38 UTC
Under certain circumstances the Primary and Secondary Phone will appear twice on the Patron record. When looking at the moremember.tt file line 236 has an IF block that displays the Primary and Secondary Phone value if the category_code ="P". I can't see any documentation as to why this is and what the "P" might mean. If a site adds their own category code and it equals "P", this duplication will occur.
Comment 1 Josef Moravec 2016-10-18 20:53:04 UTC
Created attachment 56633 [details] [review]
Bug 17434: Moremember displaying primary and secondary phone number twice

Test plan:
1) Create patron category with category code "P" and create a patron
with this category
2) Fill in either the primary or other phone number
3) Go to patron details page (moremember.pl)
=> without patch you see primary/other phone duplicated
=> with patch you should see the number only once as expected
Comment 2 Lucio Moraes 2016-10-21 02:01:18 UTC
Created attachment 56710 [details] [review]
Bug 17434: Moremember displaying primary and secondary phone number twice

Test plan:
1) Create patron category with category code "P" and create a patron
with this category
2) Fill in either the primary or other phone number
3) Go to patron details page (moremember.pl)
=> without patch you see primary/other phone duplicated
=> with patch you should see the number only once as expected

Signed-off-by: Lucio Moraes <lmoraes@catalyst.net.nz>
Comment 3 Lucio Moraes 2016-10-21 02:01:58 UTC
Created attachment 56711 [details] [review]
Bug 17434: Moremember displaying primary and secondary phone number twice

Test plan:
1) Create patron category with category code "P" and create a patron
with this category
2) Fill in either the primary or other phone number
3) Go to patron details page (moremember.pl)
=> without patch you see primary/other phone duplicated
=> with patch you should see the number only once as expected

Signed-off-by: Lucio Moraes <lmoraes@catalyst.net.nz>
Comment 4 Jonathan Druart 2016-10-25 08:16:50 UTC
Created attachment 56832 [details] [review]
Bug 17434: Moremember displaying primary and secondary phone number twice

Test plan:
1) Create patron category with category code "P" and create a patron
with this category
2) Fill in either the primary or other phone number
3) Go to patron details page (moremember.pl)
=> without patch you see primary/other phone duplicated
=> with patch you should see the number only once as expected

Signed-off-by: Lucio Moraes <lmoraes@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Kyle M Hall 2016-10-28 11:46:34 UTC
Pushed to master for 16.11, thanks Josef!
Comment 6 Frédéric Demians 2016-11-02 18:20:05 UTC
Pushed in 16.05. Will be in 16.05.06.
Comment 7 Julian Maurice 2016-11-08 09:32:10 UTC
Pushed to 3.22.x, will be in 3.22.13